#!/bin/sh

# Find out which services depends on a certain service

if [ -z "$1" ]
then
	echo "Please specify a service."
	exit 1
fi

for dir in `ls /etc/minit|grep -v "in\|out"`
do
	if msvc -D $dir 2>/dev/null|grep -v log|grep -q $1
	then
		echo $dir
	fi
done
